How to find rotated Elements?

Hello

How Can i find rotated Elements via dynamo(python:


import clr
clr.AddReference(‘ProtoGeometry’)
from Autodesk.DesignScript.Geometry import *

Import RevitAPI
clr.AddReference(‘RevitAPI’)
import Autodesk

items=UnwrapElement(IN[0])

rotas =
for i in items:
if i.Rotated == True :
rotas.append(i)

OUT = rotas


This script doesn`t work, i dont know where can i get the correct vocabulary!

Mirrored workes
Can i also collect Translated Elements. Transformed Elements.
I think the for loop is very practical, but i am unable at the moment to conect it with API Elements.

I am glad about any advice

KR

Andreas
2019-05-03_16h27_53 2019-05-03_16h32_18

2019-05-03_16h32_48

As your error says, there is no attribute called Rotated. You would have to get the facing direction of each instance to determine if it has been “rotated” or not.